SRD Standelone programmation box: tButtonManagerCtrl Struct Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Fields
tButtonManagerCtrl Struct Reference

Button power manager mode. More...

`#include "ButtonManager.h"`

## Data Fields

union {
struct {
unsigned short read: 1
unsigned short write: 1
unsigned short RSVD: 14
} bits
unsigned short all
} | operation
tButtonManagerOpState | opState
tButtonManagerLpm | lpm

## Detailed Description

Button power manager mode.

Definition at line 97 of file ButtonManager.h.

## Field Documentation

unsigned short tButtonManagerCtrl::all

Global access

Definition at line 104 of file ButtonManager.h.

Referenced by ButtonManager(), ButtonManagerDealer(), and ButtonManagerInit().

struct { ... } tButtonManagerCtrl::bits

Bit access

Referenced by ButtonManager(), and ButtonManagerDealer().

tButtonManagerLpm tButtonManagerCtrl::lpm

Manager power mode

Definition at line 109 of file ButtonManager.h.

Referenced by ButtonManager(), ButtonManagerInit(), and PowerManagerLPMController().

union { ... } tButtonManagerCtrl::operation

Operation state

Referenced by ButtonManager(), ButtonManagerDealer(), and ButtonManagerInit().

tButtonManagerOpState tButtonManagerCtrl::opState

Manager state

Definition at line 107 of file ButtonManager.h.

Referenced by ButtonManager(), ButtonManagerDealer(), and ButtonManagerInit().

unsigned short tButtonManagerCtrl::read

Read operation

Definition at line 100 of file ButtonManager.h.

unsigned short tButtonManagerCtrl::RSVD

RESERVED

Definition at line 102 of file ButtonManager.h.

unsigned short tButtonManagerCtrl::write

Write operation

Definition at line 101 of file ButtonManager.h.

The documentation for this struct was generated from the following file:

- ButtonManager.h